Bug 212263 - Deadlock between NbLoaderPool.class and DataLoaderPool.class
Deadlock between NbLoaderPool.class and DataLoaderPool.class
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Data Systems
7.2
PC Linux
: P3 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
: THREAD
Depends on:
Blocks: 211820
  Show dependency treegraph
 
Reported: 2012-05-09 21:46 UTC by Jesse Glick
Modified: 2012-05-23 09:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (19.03 KB, text/plain)
2012-05-09 21:46 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-05-09 21:46:24 UTC
Dev build. Very similar to bug #211820 but slightly different call sequence in "main"; NbLoaderPool.doAdd is still synchronized:

	at org.openide.loaders.DataLoaderPool.getDefault(DataLoaderPool.java:90)
	- waiting to lock <0xabe687c0> (a java.lang.Class for org.openide.loaders.DataLoaderPool)
	at org.netbeans.core.NbLoaderPool.getNbLoaderPool(NbLoaderPool.java:664)
	at org.netbeans.core.NbLoaderPool.doAdd(NbLoaderPool.java:172)
	- locked <0xabe68848> (a java.lang.Class for org.netbeans.core.NbLoaderPool)
	at org.netbeans.core.NbLoaderPool.add(NbLoaderPool.java:152)
	at org.netbeans.core.CoreBridgeImpl.loadLoaderSection(CoreBridgeImpl.java:107)
Comment 1 Jesse Glick 2012-05-09 21:46:55 UTC
Created attachment 119237 [details]
Thread dump
Comment 2 Jaroslav Tulach 2012-05-21 12:03:43 UTC
ergonomics#915bb115724a
Comment 3 Quality Engineering 2012-05-23 09:03:56 UTC
Integrated into 'main-golden', will be available in build *201205230300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/915bb115724a
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #212263: Deadlock between NbLoaderPool.class and DataLoaderPool.class
don't call getNbLoaderPool() under lock


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo